<?xml version="1.0"?>

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:obj="http://www.unicorn-enterprises.com/XSLT/Extensions/ECMAScript/1.0"
    extension-element-prefixes="obj">

  <xsl:output
      method="xml"
      indent="yes"
      encoding="UTF-8"/>

  <xsl:strip-space elements="*"/>

  <xsl:template match='/'>
    <obj:import href="demo04.es"/>
    <html>
      <head>
        <title>Math Functions</title>
      </head>
      <body>
        <table border="border" cellpadding="10">
          <tr><th>Argument</th><th>SQRT</th><th>LOG</th></tr>
          <obj:call object="'Mtab'" property="reset">
            <obj:with-param value="1"/>
            <obj:with-param value="10"/>
            <obj:with-param value="1"/>
          </obj:call>
          <obj:while object="'Mtab'" property="iterate">
            <tr>
              <th><xsl:value-of select="obj:call('Mtab', 'getValue')"/></th>
              <td><xsl:value-of select="obj:call('Mtab', 'getSqrt')"/></td>
              <td><xsl:value-of select="obj:call('Mtab', 'getLog')"/></td>
            </tr>
          </obj:while>
        </table>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>

