<?xml version='1.0'?>

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:rpt="http://www.unicorn-enterprises.com/XSLT/Extensions/Reports/1.0"
    extension-element-prefixes="rpt">

<xsl:output
    method="xml"
    indent="yes"
    encoding="UTF-8"/>

<xsl:strip-space elements="*"/>

<xsl:template match="/">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="root">
  <root>
    <rpt:counter name="x" initialize="0"/>
    <rpt:group select="rec" key="a">
      <rpt:counter name="x" increment="100"/>
      <a key="{a}" counter="{rpt:counter('x')}">
        <rpt:counter name="x" initialize="0"/>
        <rpt:group key="b">
          <rpt:counter name="x" increment="10"/>
          <b key="{b}" counter="{rpt:counter('x')}">
            <rpt:counter name="x" initialize="0"/>
            <rpt:group>
              <rpt:counter name="x" increment="1"/>
              <rec>
                <counter><rpt:counter name="x"/></counter>
                <xsl:copy-of select="x"/>
                <xsl:copy-of select="y"/>
                <xsl:copy-of select="z"/>
              </rec>
            </rpt:group>
          </b>
        </rpt:group>
      </a>
    </rpt:group>
  </root>
</xsl:template>

</xsl:stylesheet>

